Bug 1104 - portsentry starts only tcp listener but not the udp one
: portsentry starts only tcp listener but not the udp one
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/portsentry)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-07-16 10:38 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-07-16 10:38:29
The portsentry service script
/etc/rc.d/init.d/portsentry
starts only tcp listener
portsentry -atcp
but not udp ones
portsentry -audp
---

---
Suggested patch:
--------------------------------------------------
--- portsentry.orig	Tue Jul 31 11:27:57 2001
+++ portsentry	Mon Jul 15 11:19:23 2002
@@ -28,17 +28,13 @@
 
 start()
 {
-	echo -n \"Starting tcp port scan detector: \"
-	daemon portsentry -atcp
+	action \"Starting tcp port scan detector: \" portsentry -atcp
 	RETVAL=$?
 	[ $RETVAL -eq 0 ] && touch \"$LOCKFILE\"
-	echo
 
-	echo -n \"Starting udp port scan detector: \"
-	daemon portsentry -audp
+	action \"Starting udp port scan detector: \" portsentry -audp
 	RETVAL=$?
 	[ $RETVAL -eq 0 ] && touch \"$LOCKFILE\"
-	echo
 }
 
 stop()

-------------------------------------------------------
------- Comment #1 From 2003-02-03 19:45:52 -------
Fixed in portsentry-1.1-alt3.
------- Comment #2 From 2003-02-03 19:45:52 -------
Fixed in portsentry-1.1-alt3.